DROP TABLE MFG.TB_POM_DILY_PRDTN_PLN_GMES CASCADE CONSTRAINTS;

CREATE TABLE MFG.TB_POM_DILY_PRDTN_PLN_GMES
(
  ORG_ID                 NVARCHAR2(20)          NOT NULL,
  PRDTN_YMD              NVARCHAR2(8)           NOT NULL,
  MFG_ORDER              NVARCHAR2(300)         NOT NULL,
  PCSGID                 NVARCHAR2(50),
  WOID                   NVARCHAR2(50),
  DEMAND_ID              NVARCHAR2(50),
  DEMAND_TP_CODE         NVARCHAR2(200),
  PRDTN_STRT_DATE        DATE,
  PRDTN_END_DATE         DATE,
  PRDTN_STRT_TIME        NVARCHAR2(8),
  PRDTN_END_TIME         NVARCHAR2(8),
  DEMAND_DUE_DATE        DATE,
  TOT_QTY                NUMBER,
  RMN_QTY                NUMBER,
  COMPLT_QTY             NUMBER,
  DILY_PRDTN_QTY         NUMBER,
  WO_STAT_TP_CODE        NVARCHAR2(10),
  PLN_FIX_FLAG           NVARCHAR2(1),
  YW                     NVARCHAR2(6),
  YM                     NVARCHAR2(6),
  MODLID                 NVARCHAR2(50),
  SFFX_NAME              NVARCHAR2(50),
  PRODID                 NVARCHAR2(50),
  SET_PROD_NAME          NVARCHAR2(100),
  TOOL_NAME              NVARCHAR2(200),
  ITM_TYPE               NVARCHAR2(30),
  PRODTYPE               NVARCHAR2(10),
  NEW_MDL_FLAG           NVARCHAR2(1),
  TACT_TIME_STD_TIME     NVARCHAR2(50),
  STD_TIME               NVARCHAR2(50),
  BOM_EXIST_FLAG         NVARCHAR2(1),
  BILL_TO_CUSTOMER_ID    NUMBER,
  BILL_TO_CUSTOMER_CODE  NVARCHAR2(50),
  BILL_TO_CUSTOMER_NAME  NVARCHAR2(50),
  SHIP_TO_CUSTOMER_ID    NUMBER,
  SHIP_TO_CUSTOMER_CODE  NVARCHAR2(50),
  SHIP_TO_CUSTOMER_NAME  NVARCHAR2(50),
  MKT_TP_CODE            NVARCHAR2(10),
  ERP_PRDTN_SEQ_NO       NUMBER,
  MES_PRDTN_SEQ_NO       NUMBER,
  LAST_OP_FLAG           NVARCHAR2(1),
  PLN_NOTES              NVARCHAR2(300),
  MDL_BARCODE            NVARCHAR2(200),
  BAS_ITM_ID             NVARCHAR2(50),
  DEPT_CODE_NAME         NVARCHAR2(200),
  SCHD_FLAG              NVARCHAR2(1),
  NEW_MDL_TP_CODE        NVARCHAR2(10),
  NEW_MODEL_TYPE         VARCHAR2(30 BYTE),
  INSUSER                NVARCHAR2(50),
  INSDTTM                TIMESTAMP(6),
  UPDUSER                NVARCHAR2(50),
  UPDDTTM                TIMESTAMP(6)
)
TABLESPACE MFG_DAT
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE;


CREATE INDEX MFG.IDX_DILY_PRDTN_PLN_GMES_01 ON MFG.TB_POM_DILY_PRDTN_PLN_GMES
(WOID, PRDTN_YMD)
LOGGING
TABLESPACE MFG_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );
